ApiHdfsSnapshottableDirectoryStatus (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHdfsSnapshottableDirectoryStatus

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsSnapshottableDirectoryStatus

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHdfsSnapshottableDirectoryStatus
      extends Object

  An HDFS Snapshottable Directory descriptor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsSnapshottableDirectoryStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsSnapshottableDirectoryStatus` | `absolutePath(String absolutePath)`
    `ApiHdfsSnapshottableDirectoryStatus` | `dirStatus(ApiHdfsFile dirStatus)`
    `boolean` | `equals(Object o)`
    `String` | `getAbsolutePath()` Absolute path of the file
    `ApiHdfsFile` | `getDirStatus()` The basic information of the directory
    `String` | `getParentFullPath()` Absolute path of the parent
    `BigDecimal` | `getSnapshotNumber()` Count of snapshots that have been taken for the directory
    `BigDecimal` | `getSnapshotQuota()` Number of snapshots allowed for the directory
    `int` | `hashCode()`
    `ApiHdfsSnapshottableDirectoryStatus` | `parentFullPath(String parentFullPath)`
    `void` | `setAbsolutePath(String absolutePath)`
    `void` | `setDirStatus(ApiHdfsFile dirStatus)`
    `void` | `setParentFullPath(String parentFullPath)`
    `void` | `setSnapshotNumber(BigDecimal snapshotNumber)`
    `void` | `setSnapshotQuota(BigDecimal snapshotQuota)`
    `ApiHdfsSnapshottableDirectoryStatus` | `snapshotNumber(BigDecimal snapshotNumber)`
    `ApiHdfsSnapshottableDirectoryStatus` | `snapshotQuota(BigDecimal snapshotQuota)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsSnapshottableDirectoryStatus

          public ApiHdfsSnapshottableDirectoryStatus()

  - ### Method Detail

    - #### snapshotNumber

          public ApiHdfsSnapshottableDirectoryStatus snapshotNumber(BigDecimal snapshotNumber)

    - #### getSnapshotNumber

          public BigDecimal getSnapshotNumber()

      Count of snapshots that have been taken for the directory
      Returns:
        snapshotNumber

    - #### setSnapshotNumber

          public void setSnapshotNumber(BigDecimal snapshotNumber)

    - #### snapshotQuota

          public ApiHdfsSnapshottableDirectoryStatus snapshotQuota(BigDecimal snapshotQuota)

    - #### getSnapshotQuota

          public BigDecimal getSnapshotQuota()

      Number of snapshots allowed for the directory
      Returns:
        snapshotQuota

    - #### setSnapshotQuota

          public void setSnapshotQuota(BigDecimal snapshotQuota)

    - #### parentFullPath

          public ApiHdfsSnapshottableDirectoryStatus parentFullPath(String parentFullPath)

    - #### getParentFullPath

          public String getParentFullPath()

      Absolute path of the parent
      Returns:
        parentFullPath

    - #### setParentFullPath

          public void setParentFullPath(String parentFullPath)

    - #### dirStatus

          public ApiHdfsSnapshottableDirectoryStatus dirStatus(ApiHdfsFile dirStatus)

    - #### getDirStatus

          public ApiHdfsFile getDirStatus()

      The basic information of the directory
      Returns:
        dirStatus

    - #### setDirStatus

          public void setDirStatus(ApiHdfsFile dirStatus)

    - #### absolutePath

          public ApiHdfsSnapshottableDirectoryStatus absolutePath(String absolutePath)

    - #### getAbsolutePath

          public String getAbsolutePath()

      Absolute path of the file
      Returns:
        absolutePath

    - #### setAbsolutePath

          public void setAbsolutePath(String absolutePath)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.